Creates a new project template. The new template supplies defaults for future projects.
Authentication
AuthorizationBearerSend your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.
Request body Required
The model to create the project template.
application/json
namestring or nullOptional0 maxLength: 255 Name of the project template.
descriptionstring or nullOptional0 maxLength: 25000 Description of the project template.
isBillableByDefaultstring or nullOptionalWhether the project should be billable by default. Can be 'on', 'off', or 'auto'.
Default is auto.
defaultTaskListIdForEmailsstring or nullOptionalcopyImageToProjectOnCreationbooleanOptionalWhether the template image should be copied to the project during project creation. If the template has no image, no image is copied. No image is copied from the client.
projectTypeIdstring or nullOptionalProject type id of the project template.
timeBudgetinteger or nullOptionalThe amount of time budgeted for the project in seconds. If null, the time budget will be unchanged. Set to 0 to remove the time budget.
Responses
200 OK
application/json
idstringOptionalThe id of the template.
namestring or nullOptionalThe name of the template.
descriptionstring or nullOptionalThe description that will be used for the project created from this template. It will be appended to the project description provided by the user.
createdOnstringOptionalThe date this entity was created.
createdBystringOptionalThe id of the user who created this entity.
updatedOnstringOptionalThe date this entity was last modified.
updatedBystringOptionalThe id of the user who last modified this entity.
isBillableByDefaultstring or nullOptionalWhether project times should be billable by default, if the project was created by this template. Can be 'on', 'off', or 'auto'.
defaultTaskListIdForEmailsstring or nullOptionalThe id references the task list, which is used to assign tasks created by email to.
projectStatusesarray of object or nullOptionalDeprecatedDeprecated. Use GET /projectTemplates/{projectTemplateId}/projectStatuses instead.
The list of project statuses associated with the template. This can be either workflow statuses or template-specific statuses depending on whether the template is linked to a workflow or not.
Show 13 properties
idstringOptionalThe primary identifier of this project status.
namestring or nullOptionalThe name of the project status.
typestring or nullOptionalThe general type of this project status.
isArchivedbooleanOptionalIndicates whether this status is archived.
orderinteger or nullOptionalThe order of this status.
createdOnstringOptionalThe date this entity was created.
createdBystringOptionalThe id of the user who created this entity.
updatedOnstringOptionalThe date this entity was last modified.
projectTemplateIdstring or nullOptionalThe id of the project template of the status.
projectIdstring or nullOptionalThe id of the project the status belongs to.
workflowIdstring or nullOptionalThe id of the workflow linked to this project status.
updatedBystringOptionalThe id of the user who last modified this entity.
isExternalbooleanOptionalTrue if the project status is coming from an external workspace (awork Connect).
hasImagebooleanOptionalWhether the project template has an image in the files service.
copyImageToProjectOnCreationbooleanOptionalWhether the template image should be copied to the project during project creation. If the template has no image, no image is copied. No image is copied from the client.
projectTypeIdstring or nullOptionalThe id of the project type.
workflowIdstring or nullOptionalThe id of the workflow linked to this template.
timeBudgetintegerOptionalThe amount of time budgeted for the project in seconds.
hasRelativeTasksbooleanOptionalTrue if any of the tasks of the template has relative dates.
400 Bad Request
application/json
codestringRequired1 The error code.
descriptionstringRequired1 The description of the error.
linkstringRequired1 The link to the API documentation page.
detailsarray of string or nullOptionalA list of details describing the error.
validationErrorsarray of object or nullOptionalIf a validation error occurred, this contains the validation errors for each property.
Show 2 properties
propertystring or nullOptionalThe name of the property that failed validation.
messagestring or nullOptionalThe reason why this property failed validation.
traceIdstring or nullOptionalThe request trace id for tracking the request.